Query Return Packages
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/returns/{returnId}/packages \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/packages"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/returns/{returnId}/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"trackingID": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingMethodCustom": "<string>"
}
]{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Return
Query Return Packages
Queries all packages for a specific return.
GET
/
v2
/
returns
/
{returnId}
/
packages
Query Return Packages
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The ID of the return that the packages belong to.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
The requested packages.
Unique ID to identify a return package.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Unique ID to identify a return.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The tracking Id of the package.
The shipping method.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The custom shipping method name used for the return. This value may only be set if ShippingMethodId is not provided.
Was this page helpful?